StringUtils.SearchMode
Date: 2016-03-08

com.mysql.jdbc

## Enum StringUtils.SearchMode

- java.lang.Object
- - java.lang.Enum<StringUtils.SearchMode>
  - - com.mysql.jdbc.StringUtils.SearchMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StringUtils.SearchMode>
  Enclosing class:
    StringUtils

      public static enum StringUtils.SearchMode
      extends java.lang.Enum<StringUtils.SearchMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_BACKSLASH_ESCAPE`
    `SKIP_BETWEEN_MARKERS`
    `SKIP_BLOCK_COMMENTS`
    `SKIP_LINE_COMMENTS`
    `SKIP_WHITE_SPACE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringUtils.SearchMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StringUtils.SearchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW_BACKSLASH_ESCAPE

          public static final StringUtils.SearchMode ALLOW_BACKSLASH_ESCAPE

    - #### SKIP_BETWEEN_MARKERS

          public static final StringUtils.SearchMode SKIP_BETWEEN_MARKERS

    - #### SKIP_BLOCK_COMMENTS

          public static final StringUtils.SearchMode SKIP_BLOCK_COMMENTS

    - #### SKIP_LINE_COMMENTS

          public static final StringUtils.SearchMode SKIP_LINE_COMMENTS

    - #### SKIP_WHITE_SPACE

          public static final StringUtils.SearchMode SKIP_WHITE_SPACE

  - ### Method Detail

    - #### values

          public static StringUtils.SearchMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StringUtils.SearchMode c : StringUtils.SearchMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StringUtils.SearchMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null